Subject: Re: linux-next: Fixes tag needs some work in the mailbox tree

From: Steven Rostedt <[email-masked]>
Date: Tue, 1 Dec 2020 21:43:15 -0500

On Wed, 2 Dec 2020 12:39:39 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> In commit
> 
>   983df5f2699f ("samples/ftrace: Mark my_tramp[12]? global")
> 
> Fixes tag
> 
>   Fixes: 9d907f1ae80b8 ("ftrace/samples: Add a sample module that implements modify_ftrace_direct()")
> 
> has these problem(s):
> 
>   - Subject does not match target commit subject
> 
> Maybe you meant
> 
> Fixes: 9d907f1ae80b ("samples/ftrace: Fix asm function ELF annotations")
> 
> or
> 
> Fixes: ae0cc3b7e7f5 ("ftrace/samples: Add a sample module that implements modify_ftrace_direct()")
> 

Bah! Too late, it already made it into Linus's tree.

I goofed. I was looking at both commits to see which one to apply it
for, and ended up mixing the two.

It was meant for:

Fixes: ae0cc3b7e7f5 ("ftrace/samples: Add a sample module that implements modify_ftrace_direct()")

I'll have to add a script to my tests that makes sure the Fixes tag
matches the description.

-- Steve